## kf6-networkmanager-qt 6.18.0+p24.04+vunstable+git20250925.1343

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
project(NetworkManagerQt VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

find_package(PkgConfig)
pkg_search_module(NetworkManager REQUIRED IMPORTED_TARGET libnm>=1.4.0)
pkg_search_module(Gio REQUIRED IMPORTED_TARGET gio-2.0)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network Qml)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(ECMGenerateQDoc)

ecm_setup_version(PROJECT VARIABLE_PREFIX NETWORKMANAGERQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfigVersion.cmake"
                        SOVERSION 6)
ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(src/fakenetwork)
    add_subdirectory(autotests)
endif ()

add_subdirectory(src)
##################  examples  ################################
option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NetworkManagerQt")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NetworkManagerQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6NetworkManagerQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6NetworkManagerQtTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-networkmanager-qt (6.18.0+p24.04+vunstable+git20250925.1343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:43:31 +0000

kf6-networkmanager-qt (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:08:35 +0000

kf6-networkmanager-qt (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:33:45 +0000

kf6-networkmanager-qt (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:49:34 +0000

kf6-networkmanager-qt (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:07:16 +0000

kf6-networkmanager-qt (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:51:49 +1000

kf6-networkmanager-qt (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:15:20 +0000

kf6-networkmanager-qt (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:18:28 +0000

kf6-networkmanager-qt (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:42:05 +0000

kf6-networkmanager-qt (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:25:47 +0000

kf6-networkmanager-qt (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:42:44 +0000

kf6-networkmanager-qt (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 01:15:51 +0000

kf6-networkmanager-qt (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:40:26 +0000

kf6-networkmanager-qt (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:48:16 +0000

kf6-networkmanager-qt (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:49:03 +0000

kf6-networkmanager-qt (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:35:01 +1000

kf6-networkmanager-qt (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:05:32 +0000

kf6-networkmanager-qt (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:29:40 +0000

kf6-networkmanager-qt (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-networkmanager-qt (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-networkmanager-qt 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-networkmanager-qt (6.19.0-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:35:03 +0000

kf6-networkmanager-qt (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:13:01 +0000

=== debian/control ===
Source: kf6-networkmanager-qt
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libnm-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-networkmanager-qt.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-networkmanager-qt
Maintainer: Neon CI <neon@kde.org>

Package: kf6-networkmanager-qt
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6networkmanagerqt-data, libkf6networkmanagerqt6
Description: Qt wrapper for NetworkManager - library (documentation)
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the qch documentation files.

Package: kf6-networkmanager-qt-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-networkmanager-qt (= ${binary:Version}),
         libnm-dev (>= 1.4.0~),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6networkmanagerqt-dev, libkf6networkmanagerqt-doc
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf6networkmanagerqt6
Architecture: all
Depends: kf6-networkmanager-qt, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6networkmanagerqt-data
Architecture: all
Depends: kf6-networkmanager-qt, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6networkmanagerqt-dev
Architecture: all
Depends: kf6-networkmanager-qt-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6networkmanagerqt-doc
Architecture: all
Depends: kf6-networkmanager-qt-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-networkmanager-qt 6.19.0+p24.04+vstable+git20251008.1037

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vstable+git20251008.1037-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:37:19 +0000

## kf6-networkmanager-qt 6.19.0+p24.04+vstable+git20251019.0052

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network Qml)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vstable+git20251019.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:52:38 +0000

## kf6-networkmanager-qt 6.19.0+p24.04+vstable+git20251023.0056

=== src/CMakeLists.txt ===
# add_subdirectory(dbus)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/dbus
   ${CMAKE_CURRENT_SOURCE_DIR}/settings
)

set(NetworkManagerQt_PART_SRCS
    device.cpp
    accesspoint.cpp
    activeconnection.cpp
    adsldevice.cpp
    bluetoothdevice.cpp
    bonddevice.cpp
    bridgedevice.cpp
    connection.cpp
    dhcp4config.cpp
    dhcp6config.cpp
    devicestatistics.cpp
    dnsconfiguration.cpp
    dnsdomain.cpp
    infinibanddevice.cpp
    ipaddress.cpp
    iproute.cpp
    ipconfig.cpp
    manager.cpp
    modemdevice.cpp
    olpcmeshdevice.cpp
    secretagent.cpp
    settings.cpp
    utils.cpp
    vlandevice.cpp
    vpnconnection.cpp
    vpnplugin.cpp
    wimaxdevice.cpp
    wimaxnsp.cpp
    wireddevice.cpp
    wirelessdevice.cpp
    wirelessnetwork.cpp
    generictypes.cpp
    genericdevice.cpp
    gredevice.cpp
    iptunneldevice.cpp
    macvlandevice.cpp
    teamdevice.cpp
    tundevice.cpp
    vethdevice.cpp
    wimaxdevice.cpp
    wimaxnsp.cpp
    wireguarddevice.cpp
    wifip2pdevice.cpp
    wifip2ppeer.cpp
)

set(NetworkManagerQt_SETTINGS_SRCS
    settings/adslsetting.cpp
    settings/bluetoothsetting.cpp
    settings/bondsetting.cpp
    settings/bridgesetting.cpp
    settings/bridgeportsetting.cpp
    settings/cdmasetting.cpp
    settings/connectionsettings.cpp
    settings/dcbsetting.cpp
    settings/gsmsetting.cpp
    settings/iptunnelsetting.cpp
    settings/ipv4setting.cpp
    settings/ipv6setting.cpp
    settings/infinibandsetting.cpp
    settings/macsecsetting.cpp
    settings/matchsetting.cpp
    settings/olpcmeshsetting.cpp
    settings/ovsbridgesetting.cpp
    settings/ovsinterfacesetting.cpp
    settings/ovspatchsetting.cpp
    settings/ovsportsetting.cpp
    settings/pppsetting.cpp
    settings/pppoesetting.cpp
    settings/proxysetting.cpp
    settings/setting.cpp
    settings/serialsetting.cpp
    settings/security8021xsetting.cpp
    settings/teamportsetting.cpp
    #settings/template.cpp
    settings/vlansetting.cpp
    settings/vpnsetting.cpp
    settings/wimaxsetting.cpp
    settings/wiredsetting.cpp
    settings/wirelesssetting.cpp
    settings/wirelesssecuritysetting.cpp
    settings/teamsetting.cpp
    settings/tcsetting.cpp
    settings/genericsetting.cpp
    settings/tunsetting.cpp
    settings/usersetting.cpp
    settings/vxlansetting.cpp
    settings/wireguardsetting.cpp
    settings/wifip2psetting.cpp
)

set(DBUS_INTERFACE_SRCS
    dbus/accesspointinterface.cpp
    dbus/activeconnectioninterface.cpp
    dbus/adsldeviceinterface.cpp
    dbus/agentmanagerinterface.cpp
    dbus/bluetoothdeviceinterface.cpp
    dbus/bonddeviceinterface.cpp
    dbus/bridgedeviceinterface.cpp
    dbus/connectioninterface.cpp
    dbus/deviceinterface.cpp
    dbus/devicestatisticsinterface.cpp
    dbus/dhcp4configinterface.cpp
    dbus/dhcp6configinterface.cpp
    dbus/dnsmanagerinterface.cpp
    dbus/genericdeviceinterface.cpp
    dbus/gredeviceinterface.cpp
    dbus/checkpointinterface.cpp
    dbus/infinibanddeviceinterface.cpp
    dbus/iptunneldeviceinterface.cpp
    dbus/ip4configinterface.cpp
    dbus/ip6configinterface.cpp
    dbus/macsecdeviceinterface.cpp
    dbus/macvlandeviceinterface.cpp
    dbus/modemdeviceinterface.cpp
    dbus/networkmanagerinterface.cpp
    dbus/olpcmeshdeviceinterface.cpp
    dbus/pppinterface.cpp
    dbus/secretagentadaptor.cpp
    dbus/settingsinterface.cpp
    dbus/teamdeviceinterface.cpp
    dbus/tundeviceinterface.cpp
    dbus/vethdeviceinterface.cpp
    dbus/vlandeviceinterface.cpp
    dbus/vpnconnectioninterface.cpp
    dbus/vpnplugininterface.cpp
    dbus/vxlandeviceinterface.cpp
    dbus/wifip2pdeviceinterface.cpp
    dbus/wifip2ppeerinterface.cpp
    dbus/wimaxdeviceinterface.cpp
    dbus/wimaxnspinterface.cpp
    dbus/wireddeviceinterface.cpp
    dbus/wirelessdeviceinterface.cpp
    dbus/wireguarddeviceinterface.cpp
)

ecm_qt_declare_logging_category(KF6NetworkManagerQt
    HEADER nmdebug.h
    IDENTIFIER NMQT
    CATEGORY_NAME kf.networkmanagerqt
    OLD_CATEGORY_NAMES networkmanager-qt
    DEFAULT_SEVERITY Warning
    DESCRIPTION "NetworkManagerQt"
    EXPORT NETWORMANAGERQT
)

add_library(KF6NetworkManagerQt SHARED ${NetworkManagerQt_PART_SRCS} ${NetworkManagerQt_SETTINGS_SRCS} ${DBUS_INTERFACE_SRCS})
add_library(KF6::NetworkManagerQt ALIAS KF6NetworkManagerQt)

qt_extract_metatypes(KF6NetworkManagerQt)

ecm_generate_export_header(KF6NetworkManagerQt
    EXPORT_FILE_NAME ${NetworkManagerQt_BINARY_DIR}/networkmanagerqt/networkmanagerqt_export.h
    BASE_NAME NetworkManagerQt
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
)

target_include_directories(KF6NetworkManagerQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt>")
# for examples to build
target_include_directories(KF6NetworkManagerQt PUBLIC "$<BUILD_INTERFACE:${NetworkManagerQt_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}/settings>")

target_link_libraries(KF6NetworkManagerQt PUBLIC Qt6::Core Qt6::Network Qt6::DBus PkgConfig::NetworkManager PkgConfig::Gio)

set_target_properties(KF6NetworkManagerQt PROPERTIES VERSION ${NETWORKMANAGERQT_VERSION}
                                                   SOVERSION ${NETWORKMANAGERQT_SOVERSION}
                                                   EXPORT_NAME NetworkManagerQt
)

########### static lib for tests  ###############
add_library(KF6NetworkManagerQt_static STATIC ${NetworkManagerQt_PART_SRCS} ${NetworkManagerQt_SETTINGS_SRCS} ${DBUS_INTERFACE_SRCS})
set_target_properties(KF6NetworkManagerQt_static PROPERTIES COMPILE_FLAGS -DNMQT_STATIC=1)

target_link_libraries(KF6NetworkManagerQt_static PUBLIC Qt6::Core Qt6::Network Qt6::DBus PkgConfig::NetworkManager PkgConfig::Gio)
target_include_directories(KF6NetworkManagerQt_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")

ecm_generate_headers(NetworkManagerQt_CamelCase_HEADERS
  HEADER_NAMES
  AccessPoint
  ActiveConnection
  AdslDevice
  BluetoothDevice
  BondDevice
  BridgeDevice
  Connection
  Device
  DeviceStatistics
  Dhcp4Config
  Dhcp6Config
  DnsConfiguration
  DnsDomain
  GenericDevice
  GenericTypes
  GreDevice
  InfinibandDevice
  IpAddress
  IpConfig
  IpRoute
  IpTunnelDevice
  MacVlanDevice
  Manager
  ModemDevice
  OlpcMeshDevice
  SecretAgent
  Settings
  TeamDevice
  TunDevice
  Utils
  VethDevice
  VlanDevice
  VpnConnection
  VpnPlugin
  WifiP2PDevice
  WifiP2PPeer
  WimaxDevice
  WimaxNsp
  WiredDevice
  WirelessDevice
  WirelessNetwork
  WireGuardDevice

  REQUIRED_HEADERS NetworkManagerQt_HEADERS
  PREFIX NetworkManagerQt
)

ecm_generate_headers(NetworkManagerQt_SETTINGS_CamelCase_HEADERS
  HEADER_NAMES
  AdslSetting
  BluetoothSetting
  BondSetting
  BridgeSetting
  BridgePortSetting
  CdmaSetting
  ConnectionSettings
  GsmSetting
  GenericSetting
  InfinibandSetting
  IpTunnelSetting
  Ipv4Setting
  Ipv6Setting
  OlpcMeshSetting
  PppoeSetting
  PppSetting
  Security8021xSetting
  SerialSetting
  Setting
  TeamSetting
  TunSetting
  VlanSetting
  VpnSetting
  WifiP2PSetting
  WimaxSetting
  WiredSetting
  WireguardSetting
  WirelessSecuritySetting
  WirelessSetting

  RELATIVE settings
  REQUIRED_HEADERS NetworkManagerQt_SETTINGS_HEADERS
  PREFIX NetworkManagerQt
)

ecm_add_qml_module(networkmanagerqtqml URI org.kde.networkmanager GENERATE_PLUGIN_SOURCE)
target_sources(networkmanagerqtqml PRIVATE qmltypes.h)
target_link_libraries(networkmanagerqtqml PRIVATE Qt6::Qml KF6NetworkManagerQt)
ecm_finalize_qml_module(networkmanagerqtqml)
ecm_generate_qdoc(KF6NetworkManagerQt networkmanager-qt.qdocconf)

install(TARGETS KF6NetworkManagerQt EXPORT KF6NetworkManagerQtTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${NetworkManagerQt_CamelCase_HEADERS}
  ${NetworkManagerQt_SETTINGS_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt/NetworkManagerQt COMPONENT Devel
)

install(FILES
  ${NetworkManagerQt_BINARY_DIR}/networkmanagerqt/networkmanagerqt_export.h
  ${NetworkManagerQt_HEADERS}
  ${NetworkManagerQt_SETTINGS_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt/networkmanagerqt COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT NETWORMANAGERQT
    FILE networkmanagerqt.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vstable+git20251023.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:56:01 +0000

## kf6-networkmanager-qt 6.19.0+p24.04+vunstable+git20251008.1038

=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vunstable+git20251008.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:38:55 +0000

## kf6-networkmanager-qt 6.19.0+p24.04+vunstable+git20251020.0204

=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vunstable+git20251020.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:04:14 +0000

## kf6-networkmanager-qt 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -164,6 +164,7 @@
     VERSION ${KF_VERSION}
     USE_VERSION_HEADER
     DEPRECATED_BASE_VERSION 0
+    DEPRECATION_VERSIONS 6.20
 )
 
 target_include_directories(KF6NetworkManagerQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt>")

=== examples/secret_agent/CMakeLists.txt ===
set(secretAgentExample_SRCS
    main.cpp
)

add_executable(secretAgentExample ${secretAgentExample_SRCS})
target_link_libraries(secretAgentExample
    KF6::NetworkManagerQt
    Qt6::Core
)

=== src/dbus/CMakeLists.txt ===
# Steps to generate the dbus interface files
# 1) Place the NetworkManager introspection dbus xml in introspection/
# 2) Update the list of xml files below that we want to generate interfaces for
# 3) Enable dbus subdirectory in ../CMakeLists.txt
#    Make, in order to generate the interface sources
# 3.1) Add annotations to the xml so qdbusxml2cpp knows what type or typedef to use
#      Add typedefs as needed to generictypes.h
# 4)   Add the list of generated files needed for the plugin to FILES_TO_BUILD
# 6) Copy the working generated interface sources into the source dir
# 5) Edit the sources as required to get them to build
# 5.1) Fix the inclusion guards as the compiler ignores anything after a '-' so the compiler thinks
#      headers have already been included
# Run do-hand-edits to update the diff of the interfaces vs what is generated; this speeds up regenerating them since you just have to apply the diff to make them compile

set(INTERFACE_INTROSPECTION_XML_FILES
    introspection/nm-agent-manager.xml
    introspection/org.freedesktop.NetworkManager.AccessPoint.xml
    introspection/org.freedesktop.NetworkManager.AgentManager.xml
    introspection/org.freedesktop.NetworkManager.Connection.Active.xml
    introspection/org.freedesktop.NetworkManager.Device.Adsl.xml
    introspection/org.freedesktop.NetworkManager.Device.Bluetooth.xml
    introspection/org.freedesktop.NetworkManager.Device.Bond.xml
    introspection/org.freedesktop.NetworkManager.Device.Bridge.xml
    introspection/org.freedesktop.NetworkManager.Device.Generic.xml
    introspection/org.freedesktop.NetworkManager.Device.Gre.xml
    introspection/org.freedesktop.NetworkManager.Device.Infiniband.xml
    introspection/org.freedesktop.NetworkManager.Device.IPTunnel.xml
    introspection/org.freedesktop.NetworkManager.Device.Macsec.xml
    introspection/org.freedesktop.NetworkManager.Device.Macvlan.xml
    introspection/org.freedesktop.NetworkManager.Device.Modem.xml
    introspection/org.freedesktop.NetworkManager.Device.OlpcMesh.xml
    introspection/org.freedesktop.NetworkManager.Device.Statistics.xml
    introspection/org.freedesktop.NetworkManager.Device.Team.xml
    introspection/org.freedesktop.NetworkManager.Device.Tun.xml
    introspection/org.freedesktop.NetworkManager.Device.Veth.xml
    introspection/org.freedesktop.NetworkManager.Device.Vlan.xml
    introspection/org.freedesktop.NetworkManager.Device.Vxlan.xml
    introspection/org.freedesktop.NetworkManager.Device.WiMax.xml
    introspection/org.freedesktop.NetworkManager.Device.WifiP2P.xml
    introspection/org.freedesktop.NetworkManager.Device.Wired.xml
    introspection/org.freedesktop.NetworkManager.Device.Wireless.xml
    introspection/org.freedesktop.NetworkManager.Device.xml
    introspection/org.freedesktop.NetworkManager.DHCP4Config.xml
    introspection/org.freedesktop.NetworkManager.DHCP6Config.xml
    introspection/org.freedesktop.NetworkManager.DnsManager.xml
    introspection/org.freedesktop.NetworkManager.Checkpoint.xml
    introspection/org.freedesktop.NetworkManager.IP4Config.xml
    introspection/org.freedesktop.NetworkManager.IP6Config.xml
    introspection/org.freedesktop.NetworkManager.PPP.xml
#     introspection/org.freedesktop.NetworkManager.Settings.Connection.xml
    introspection/org.freedesktop.NetworkManager.Settings.xml
    introspection/org.freedesktop.NetworkManager.VPN.Connection.xml
    introspection/org.freedesktop.NetworkManager.VPN.Plugin.xml
    introspection/org.freedesktop.NetworkManager.WiMax.Nsp.xml
    introspection/org.freedesktop.NetworkManager.WifiP2PPeer.xml
    introspection/org.freedesktop.NetworkManager.xml
   )

set_property(SOURCE ${INTERFACE_INTROSPECTION_XML_FILES} PROPERTY INCLUDE generictypes.h)

set(ADAPTER_INTROSPECTION_XML_FILES
   )

set_source_files_properties(${INTERFACE_INTROSPECTION_XML_FILES} ${ADAPTER_INTROSPECTION_XML_FILES} PROPERTIES NO_NAMESPACE TRUE)

set(FILES_TO_BUILD
   )

qt_add_dbus_interfaces(FILES_TO_BUILD ${INTERFACE_INTROSPECTION_XML_FILES})
qt_add_dbus_adaptor(FILES_TO_BUILD introspection/org.freedesktop.NetworkManager.SecretAgent.xml "secretagent.h" "NetworkManager::SecretAgent")
foreach(adaptor ${ADAPTER_INTROSPECTION_XML_FILES})
    qt_add_dbus_adaptor(FILES_TO_BUILD ${adaptor} "generictypes.h")
endforeach(adaptor ${ADAPTER_INTROSPECTION_XML_FILES})

add_library(networkmanagerdbus ${FILES_TO_BUILD})

target_link_libraries(networkmanagerdbus ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})

=== debian/changelog ===
kf6-networkmanager-qt (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.20.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:14:23 +0100

=== debian/control ===
Source: kf6-networkmanager-qt
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libnm-dev (>= 1.4.0~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/networkmanager-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
Rules-Requires-Root: no

Package: libkf6networkmanagerqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 1.4.0~),
         qml6-module-org-kde-networkmanager (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
Description: Qt wrapper for NetworkManager - devel files
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the development files.

Package: libkf6networkmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt wrapper for NetworkManager - documentation
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6networkmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt wrapper for NetworkManager
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: qml6-module-org-kde-networkmanager
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt wrapper for NetworkManager - QML module
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the QML module for networkmanager-qt.

## kf6-networkmanager-qt 6.20.0+p24.04+vunstable+git20251122.0621

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-networkmanager-qt (6.20.0+p24.04+vunstable+git20251122.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:21:36 +0000

kf6-networkmanager-qt (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:47 +1000

## kf6-networkmanager-qt 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-networkmanager-qt (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:54:09 +0000

kf6-networkmanager-qt (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:46 +0000

kf6-networkmanager-qt (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:36 +0100

=== debian/control ===
Source: kf6-networkmanager-qt
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libnm-dev (>= 1.4.0~),
               pkgconf,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/networkmanager-qt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
Rules-Requires-Root: no

Package: libkf6networkmanagerqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 1.4.0~),
         qml6-module-org-kde-networkmanager (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
Description: Qt wrapper for NetworkManager - devel files
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the development files.

Package: libkf6networkmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt wrapper for NetworkManager - documentation
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6networkmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt wrapper for NetworkManager
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: qml6-module-org-kde-networkmanager
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt wrapper for NetworkManager - QML module
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the QML module for networkmanager-qt.

## kf6-networkmanager-qt 6.21.0+p24.04+vstable+git20251207.0602

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-networkmanager-qt (6.21.0+p24.04+vstable+git20251207.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:02:08 +0000

kf6-networkmanager-qt (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:28 +1000

## kf6-networkmanager-qt 6.21.0+p24.04+vstable+git20260102.1100

=== debian/changelog ===
kf6-networkmanager-qt (6.21.0+p24.04+vstable+git20260102.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:00:20 +0000

## kf6-networkmanager-qt 6.21.0+p24.04+vstable+git20260103.0154

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -39,7 +39,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 # Enable unit testing

=== debian/changelog ===
kf6-networkmanager-qt (6.21.0+p24.04+vstable+git20260103.0154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:54:11 +0000

## kf6-networkmanager-qt 6.21.0+p24.04+vunstable+git20251207.0602

=== debian/changelog ===
kf6-networkmanager-qt (6.21.0+p24.04+vunstable+git20251207.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:02:51 +0000

## kf6-networkmanager-qt 6.22.0

=== debian/changelog ===
kf6-networkmanager-qt (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:33:33 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
                qt6-base-dev (>= 6.8.0+dfsg~),

## kf6-networkmanager-qt 6.22.0+p24.04+vstable+git20260116.0254

=== debian/changelog ===
kf6-networkmanager-qt (6.22.0+p24.04+vstable+git20260116.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:54:33 +0000

kf6-networkmanager-qt (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:41:45 +1000

## kf6-networkmanager-qt 6.22.0+p24.04+vstable+git20260126.0635

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-networkmanager-qt (6.22.0+p24.04+vstable+git20260126.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:35:24 +0000

## kf6-networkmanager-qt 6.22.0+p24.04+vunstable+git20260111.0133

=== debian/changelog ===
kf6-networkmanager-qt (6.22.0+p24.04+vunstable+git20260111.0133-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:33:11 +0000

## kf6-networkmanager-qt 6.22.0+p24.04+vunstable+git20260129.0249

=== debian/changelog ===
kf6-networkmanager-qt (6.22.0+p24.04+vunstable+git20260129.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:49:23 +0000

## kf6-networkmanager-qt 6.23.0

=== debian/changelog ===
kf6-networkmanager-qt (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Reenable build-time tests.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:06 +0100

=== debian/control ===
Source: kf6-networkmanager-qt
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libnm-dev (>= 1.4.0~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/networkmanager-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git

Package: libkf6networkmanagerqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 1.4.0~),
         qml6-module-org-kde-networkmanager (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
Description: Qt wrapper for NetworkManager - devel files
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the development files.

Package: libkf6networkmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt wrapper for NetworkManager - documentation
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6networkmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt wrapper for NetworkManager
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: qml6-module-org-kde-networkmanager
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt wrapper for NetworkManager - QML module
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the QML module for networkmanager-qt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
# Skip tests requiring network
export EXCLUDED_TESTS = managertest|settingstest|activeconnectiontest

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	dh_auto_test -Skf6 -- ARGS+="-E \"^(${EXCLUDED_TESTS})\""
